cURL
curl --request GET \ --url https://api.dualship.run/api/v1/workspaces/{id}/members \ --header 'Authorization: Bearer <token>'
{ "members": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "joined_at": "2024-01-15T10:30:00Z", "role": { "id": "550e8400-e29b-41d4-a716-446655440002", "name": "admin" }, "user": { "avatar_url": "https://cdn.example.com/avatar.png", "email": "john@example.com", "first_name": "John", "id": "550e8400-e29b-41d4-a716-446655440001", "last_name": "Doe" } } ] }
Get all members of a workspace (requires membership)
Documentation IndexFetch the complete documentation index at: https://docs.dualship.run/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
Use this file to discover all available pages before exploring further.
JWT Bearer token authentication
Workspace ID
List of members
List of workspace members
Show child attributes
Was this page helpful?